
From: Arjan van de Ven <arjanv@redhat.com>

Unfortunatly a large portion of the oops reports lack the basic
information about what kernel version the oops is for; it's trivial to just
print this in the oops as well to improve the usefulness of bugreports...


---

 25-akpm/arch/i386/kernel/process.c |    3 ++-
 25-akpm/arch/i386/kernel/traps.c   |    8 +++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/process.c~print-kernel-version-in-oops arch/i386/kernel/process.c
--- 25/arch/i386/kernel/process.c~print-kernel-version-in-oops	Wed Mar 10 15:09:23 2004
+++ 25-akpm/arch/i386/kernel/process.c	Wed Mar 10 15:09:48 2004
@@ -28,6 +28,7 @@
 #include <linux/a.out.h>
 #include <linux/interrupt.h>
 #include <linux/config.h>
+#include <linux/version.h>
 #include <linux/delay.h>
 #include <linux/reboot.h>
 #include <linux/init.h>
@@ -222,7 +223,7 @@ void show_regs(struct pt_regs * regs)
 
 	if (regs->xcs & 3)
 		printk(" ESP: %04x:%08lx",0xffff & regs->xss,regs->esp);
-	printk(" EFLAGS: %08lx    %s\n",regs->eflags, print_tainted());
+	printk(" EFLAGS: %08lx    %s  (%s)\n",regs->eflags, print_tainted(),UTS_RELEASE);
 	printk("EAX: %08lx EBX: %08lx ECX: %08lx EDX: %08lx\n",
 		regs->eax,regs->ebx,regs->ecx,regs->edx);
 	printk("ESI: %08lx EDI: %08lx EBP: %08lx",
diff -puN arch/i386/kernel/traps.c~print-kernel-version-in-oops arch/i386/kernel/traps.c
--- 25/arch/i386/kernel/traps.c~print-kernel-version-in-oops	Wed Mar 10 15:09:23 2004
+++ 25-akpm/arch/i386/kernel/traps.c	Wed Mar 10 15:10:42 2004
@@ -25,6 +25,7 @@
 #include <linux/highmem.h>
 #include <linux/kallsyms.h>
 #include <linux/ptrace.h>
+#include <linux/version.h>
 
 #ifdef CONFIG_EISA
 #include <linux/ioport.h>
@@ -175,9 +176,10 @@ void show_registers(struct pt_regs *regs
 		ss = regs->xss & 0xffff;
 	}
 	print_modules();
-	printk("CPU:    %d\nEIP:    %04x:[<%08lx>]    %s\nEFLAGS: %08lx\n",
-		smp_processor_id(), 0xffff & regs->xcs, regs->eip, print_tainted(), regs->eflags);
-
+	printk("CPU:    %d\nEIP:    %04x:[<%08lx>]    %s\nEFLAGS: %08lx"
+			"   (%s) \n",
+		smp_processor_id(), 0xffff & regs->xcs, regs->eip,
+		print_tainted(), regs->eflags, UTS_RELEASE);
 	print_symbol("EIP is at %s\n", regs->eip);
 	printk("eax: %08lx   ebx: %08lx   ecx: %08lx   edx: %08lx\n",
 		regs->eax, regs->ebx, regs->ecx, regs->edx);

_
